NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::LawExtensionBuilderEx Class Reference

Represents a NXOpen::Features::LawExtensionEx builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateLawExtensionBuilderEx
Default values. More...

Inheritance diagram for NXOpen::Features::LawExtensionBuilderEx:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  MiterOptions { MiterOptionsNone, MiterOptionsSharp, MiterOptionsBlend, MiterOptionsRadius }
 Miter options. More...
 
enum  OppositeSideExtensionOptions { OppositeSideExtensionOptionsNone, OppositeSideExtensionOptionsSymmetric, OppositeSideExtensionOptionsAsymmetric }
 Opposite side extension options. More...
 
enum  Types { TypesFaces, TypesVector }
 Law extension creation types. More...
 

Public Member Functions

NXOpen::GeometricUtilities::LawBuilderAngleLaw ()
 Returns the angle law
Created in NX8.5.0. More...
 
double AngleTolerance ()
 Returns the angle tolerance
Created in NX8.5.0. More...
 
NXOpen::SectionBaseProfile ()
 Returns the base profile
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::CurveFitDataCurveFitData ()
 Returns the curve fit data
Created in NX8.5.0. More...
 
double DistanceTolerance ()
 Returns the distance tolerance
Created in NX8.5.0. More...
 
NXOpen::ScCollectorFaces ()
 Returns the faces. More...
 
bool IsAngleCorrected ()
 Returns a value indicating whether to correct the angle
Created in NX10.0.0. More...
 
bool IsReferenceFaceNormalReversed ()
 Returns a value indicating whether to reverse the reference face normal. More...
 
bool LaydownCurve ()
 Returns a value indicating whether to laydown the base curve to base faces
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::LawBuilderLengthLaw ()
 Returns the length law
Created in NX8.5.0. More...
 
NXOpen::ExpressionMaxCorrectionAngle ()
 Returns the max anlge deviation allowed for the correction
Created in NX10.0.0. More...
 
bool MergeFacesIfPossible ()
 Returns a value indicating whether to merge the faces if possible
Created in NX8.5.0. More...
 
NXOpen::Features::LawExtensionBuilderEx::MiterOptions MiterOption ()
 Returns the miter option
Created in NX8.5.0. More...
 
NXOpen::ExpressionMiterRadius ()
 Returns the miter radius
Created in NX8.5.0. More...
 
NXOpen::Features::LawExtensionBuilderEx::OppositeSideExtensionOptions OppositeSideExtensionOption ()
 Returns the opposite side extension option
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::LawBuilderOppositeSideLengthLaw ()
 Returns the opposite side length law. More...
 
void SetAngleCorrected (bool isCorrected)
 Sets a value indicating whether to correct the angle
Created in NX10.0.0. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance
Created in NX8.5.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance
Created in NX8.5.0. More...
 
void SetLaydownCurve (bool laydownCurve)
 Sets a value indicating whether to laydown the base curve to base faces
Created in NX8.5.0. More...
 
void SetMergeFacesIfPossible (bool mergeFacesIfPossible)
 Sets a value indicating whether to merge the faces if possible
Created in NX8.5.0. More...
 
void SetMiterOption (NXOpen::Features::LawExtensionBuilderEx::MiterOptions miterOption)
 Sets the miter option
Created in NX8.5.0. More...
 
void SetOppositeSideExtensionOption (NXOpen::Features::LawExtensionBuilderEx::OppositeSideExtensionOptions oppositeSideExtension)
 Sets the opposite side extension option
Created in NX8.5.0. More...
 
void SetReferenceFaceNormalReversed (bool reverseNormal)
 Sets a value indicating whether to reverse the reference face normal. More...
 
void SetType (NXOpen::Features::LawExtensionBuilderEx::Types type)
 Sets the type
Created in NX8.5.0. More...
 
void SetVector (NXOpen::Direction *vector)
 Sets the vector. More...
 
NXOpen::GeometricUtilities::SpineDefinitionBuilderSpineDefinition ()
 Returns the spine definition
Created in NX8.5.0. More...
 
NXOpen::Features::LawExtensionBuilderEx::Types Type ()
 Returns the type
Created in NX8.5.0. More...
 
NXOpen::DirectionVector ()
 Returns the vector. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::LawExtensionEx builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateLawExtensionBuilderEx
Default values.

Property Value

AngleLaw.Function

ft

AngleLaw.LawType

Constant

AngleLaw.Parameter

t

CurveFitData.CurveJoinMethod

No

CurveFitData.Degree

7

CurveFitData.FitMethod

DegreeAndSegments

CurveFitData.IsAdvancedFit

0

CurveFitData.IsAlignShape

0

CurveFitData.MaximumDegree

7

CurveFitData.MaximumSegments

1

CurveFitData.MinimumDegree

5

CurveFitData.Segments

1

LaydownCurve

True

LengthLaw.LawType

Constant

MergeFacesIfPossible

False

MiterOption

Blend

MiterRadius.Value

2.5 (millimeters part), 0.1 (inches part)

OppositeSideLengthLaw.LawType

Constant

SpineDefinition.Method

None


Created in NX8.5.0.

Member Enumeration Documentation

Miter options.

Enumerator
MiterOptionsNone 

No miter solution between two discontinuous faces.

MiterOptionsSharp 

Creates a sharp edge between two faces.

MiterOptionsBlend 

Creates a three-sided patch between two faces.

MiterOptionsRadius 

Creates a four-sided patch between two faces.

Opposite side extension options.

Enumerator
OppositeSideExtensionOptionsNone 

No extension.

OppositeSideExtensionOptionsSymmetric 

Symmetric extension.

OppositeSideExtensionOptionsAsymmetric 

Asymmetric extension.

Law extension creation types.

Enumerator
TypesFaces 

Reference faces.

TypesVector 

Reference vector.

Member Function Documentation

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::LawExtensionBuilderEx::AngleLaw ( )

Returns the angle law
Created in NX8.5.0.



License requirements : None

double NXOpen::Features::LawExtensionBuilderEx::AngleTolerance ( )

Returns the angle tolerance
Created in NX8.5.0.



License requirements : None

NXOpen::Section* NXOpen::Features::LawExtensionBuilderEx::BaseProfile ( )

Returns the base profile
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::LawExtensionBuilderEx::CurveFitData ( )

Returns the curve fit data
Created in NX8.5.0.



License requirements : None

double NXOpen::Features::LawExtensionBuilderEx::DistanceTolerance ( )

Returns the distance tolerance
Created in NX8.5.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::LawExtensionBuilderEx::Faces ( )

Returns the faces.

Faces are used only when NXOpen::Features::LawExtensionBuilderEx::Types is NXOpen::Features::LawExtensionBuilderEx::TypesFaces . The faces must be sewable to form a single sheet body. The normal of the sewed sheet body and base profile direction provide local reference co-ordinate system for the orientation of the surface rule lines.
Created in NX8.5.0.

License requirements : None

bool NXOpen::Features::LawExtensionBuilderEx::IsAngleCorrected ( )

Returns a value indicating whether to correct the angle
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::LawExtensionBuilderEx::IsReferenceFaceNormalReversed ( )

Returns a value indicating whether to reverse the reference face normal.

When NXOpen::Features::LawExtensionBuilderEx::Types is NXOpen::Features::LawExtensionBuilderEx::TypesFaces , the input faces are sewed to form a single sheet body. The normal of the sheet body is decided based on the face which is nearest to the parametric mid point of the base profile and acts as the reference face normal.
Created in NX8.5.0.

License requirements : None

bool NXOpen::Features::LawExtensionBuilderEx::LaydownCurve ( )

Returns a value indicating whether to laydown the base curve to base faces
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::LawExtensionBuilderEx::LengthLaw ( )

Returns the length law
Created in NX8.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::LawExtensionBuilderEx::MaxCorrectionAngle ( )

Returns the max anlge deviation allowed for the correction
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::LawExtensionBuilderEx::MergeFacesIfPossible ( )

Returns a value indicating whether to merge the faces if possible
Created in NX8.5.0.



License requirements : None

NXOpen::Features::LawExtensionBuilderEx::MiterOptions NXOpen::Features::LawExtensionBuilderEx::MiterOption ( )

Returns the miter option
Created in NX8.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::LawExtensionBuilderEx::MiterRadius ( )

Returns the miter radius
Created in NX8.5.0.



License requirements : None

NXOpen::Features::LawExtensionBuilderEx::OppositeSideExtensionOptions NXOpen::Features::LawExtensionBuilderEx::OppositeSideExtensionOption ( )

Returns the opposite side extension option
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::LawExtensionBuilderEx::OppositeSideLengthLaw ( )

Returns the opposite side length law.

Opposite side extension law is required only when NXOpen::Features::LawExtensionBuilderEx::OppositeSideExtensionOptions is NXOpen::Features::LawExtensionBuilderEx::OppositeSideExtensionOptionsAsymmetric
Created in NX8.5.0.

License requirements : None

void NXOpen::Features::LawExtensionBuilderEx::SetAngleCorrected ( bool  isCorrected)

Sets a value indicating whether to correct the angle
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
isCorrectediscorrected
void NXOpen::Features::LawExtensionBuilderEx::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
angleToleranceangletolerance
void NXOpen::Features::LawExtensionBuilderEx::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Features::LawExtensionBuilderEx::SetLaydownCurve ( bool  laydownCurve)

Sets a value indicating whether to laydown the base curve to base faces
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
laydownCurvelaydowncurve
void NXOpen::Features::LawExtensionBuilderEx::SetMergeFacesIfPossible ( bool  mergeFacesIfPossible)

Sets a value indicating whether to merge the faces if possible
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
mergeFacesIfPossiblemergefacesifpossible
void NXOpen::Features::LawExtensionBuilderEx::SetMiterOption ( NXOpen::Features::LawExtensionBuilderEx::MiterOptions  miterOption)

Sets the miter option
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
miterOptionmiteroption
void NXOpen::Features::LawExtensionBuilderEx::SetOppositeSideExtensionOption ( NXOpen::Features::LawExtensionBuilderEx::OppositeSideExtensionOptions  oppositeSideExtension)

Sets the opposite side extension option
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
oppositeSideExtensionoppositesideextension
void NXOpen::Features::LawExtensionBuilderEx::SetReferenceFaceNormalReversed ( bool  reverseNormal)

Sets a value indicating whether to reverse the reference face normal.

When NXOpen::Features::LawExtensionBuilderEx::Types is NXOpen::Features::LawExtensionBuilderEx::TypesFaces , the input faces are sewed to form a single sheet body. The normal of the sheet body is decided based on the face which is nearest to the parametric mid point of the base profile and acts as the reference face normal.
Created in NX8.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
reverseNormalreversenormal
void NXOpen::Features::LawExtensionBuilderEx::SetType ( NXOpen::Features::LawExtensionBuilderEx::Types  type)

Sets the type
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
typetype
void NXOpen::Features::LawExtensionBuilderEx::SetVector ( NXOpen::Direction vector)

Sets the vector.

Vector is used only when NXOpen::Features::LawExtensionBuilderEx::Types is NXOpen::Features::LawExtensionBuilderEx::TypesVector
Created in NX8.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

Parameters
vectorvector
NXOpen::GeometricUtilities::SpineDefinitionBuilder* NXOpen::Features::LawExtensionBuilderEx::SpineDefinition ( )

Returns the spine definition
Created in NX8.5.0.



License requirements : None

NXOpen::Features::LawExtensionBuilderEx::Types NXOpen::Features::LawExtensionBuilderEx::Type ( )

Returns the type
Created in NX8.5.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::LawExtensionBuilderEx::Vector ( )

Returns the vector.

Vector is used only when NXOpen::Features::LawExtensionBuilderEx::Types is NXOpen::Features::LawExtensionBuilderEx::TypesVector
Created in NX8.5.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.